Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1092299 - Batch updates might create a database deadlock
Summary: Batch updates might create a database deadlock
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Barak
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: 1098962 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-29 05:58 UTC by Liran Zelkha
Modified: 2016-02-10 19:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1098962 (view as bug list)
Environment:
Last Closed: 2015-02-17 17:14:03 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27173 master MERGED core: Batch updates might create a database deadlock Never
oVirt gerrit 27594 ovirt-engine-3.4 MERGED core: Batch updates might create a database deadlock Never

Description Liran Zelkha 2014-04-29 05:58:46 UTC
Description of problem:
Batch updates might create a database deadlock

Version-Release number of selected component (if applicable):
3.4

How reproducible:
Run system under load. Hard to reproduce.

Steps to Reproduce:
1. Can't
2.
3.

Actual results:
Sometime dead locks error appear in the engine.log

Expected results:
No dead locks should appear in the queue

Additional info:
First seen in logs of bug https://bugzilla.redhat.com/show_bug.cgi?id=1090536, but issue is unrelated

Comment 4 Petr Beňas 2014-07-14 11:57:47 UTC
No deadlock was found during our testing. Setting VERIFIED.

Comment 8 Eyal Edri 2015-02-17 17:14:03 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.